%bcond_without check

%global crate sd
%global srcname sd

Name:           rust-sd
Version:        1.0.0
Release:        1%{?dist}
Summary:        Intuitive find & replace CLI
License:        MIT
URL:            https://crates.io/crates/sd
Source0:        %{crates_source}
# The vendor.tar file is generated by executing `cargo vendor` in %%{srcname}-%%{version}/
Source1:        %{name}-%{version}-vendor.tar.bz2

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 23
BuildRequires:  rust >= 1.70.0

%description
An intuitive find & replace CLI

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)

%description -n %{crate}
An intuitive find & replace CLI

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v ./vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files   -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%doc RELEASE.md
%{_bindir}/sd

%changelog
* Mon Jul 29 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 1.0.0-1
- Initial package
